<div class="application-tokens">
  <h1 i18n="Application Tokens | Header text application tokens page @@headerApplicationTokens">
    Application Tokens
  </h1>

  <nz-table #tokensTable [nzData]="dataSource" class="table">
    <thead>
      <tr>
        <th>Provider Name</th>
        <th>Token</th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngFor="let element of tokensTable.data">
        <tr>
          <td>
            {{ element.provider.name }}
          </td>
          <td>

            <div class="token-display" *ngFor="let token of element.keys">
              <div class="token">{{ expandSet.has(element.provider.id) ? token : "*".repeat(token.length) }}</div>
              <button
                [disabled]="!expandSet.has(element.provider.id)"
                nz-button
                nzType="primary"
                nzSize="small"
                nzShape="round"
                (click)="copyTokenToClipboard(token)">
                <fa-icon [icon]="faCopy"></fa-icon>
              </button>
              <button
                nz-button
                nzSize="small"
                nzShape="round"
                (click)="toggleExpand(element.provider.id)">
                <fa-icon [icon]="faEye" *ngIf="!expandSet.has(element.provider.id)"></fa-icon>
                <fa-icon [icon]="faEyeSlash" *ngIf="expandSet.has(element.provider.id)"></fa-icon>
              </button>
            </div>

          </td>
        </tr>

      </ng-container>
    </tbody>
  </nz-table>
</div>
